UV(1)

NAME
uv - UltraGrid command line interface

SYNOPSIS

uv [OPTIONS] ADDRESS

OPTIONS

    -h | --fullhelp                 show usage (basic/full)

    -d <display_device>             select display device, use '-d help'
                                    to get list of supported devices

    -t <capture_device>             select capture device, use '-t help'
                                    to get list of supported devices

    -c <cfg>                        video compression (see '-c help')

    -r <playback_device>            audio playback device (see '-r help')

    -s <capture_device>             audio capture device (see '-s help')

    --verbose[=<level>]             print verbose messages (optionally specify level [0-8])

    --list-modules                  prints list of modules

    --control-port <port>[:0|1]     set control port (default port: 5054)
                                    connection types: 0- Server (default), 1- Client

    --video-protocol <proto>        transmission protocol, see '--video-protocol help'
                                    for list. Use --video-protocol rtsp for RTSP server
                                    (see --video-protocol rtsp:help for usage)

    --audio-protocol <proto>[:<settings>] <proto> can be JACK, rtsp, sdp or ultragrid_rtp

    --protocol <proto>              shortcut for '--audio-protocol <proto> --video-protocol <proto>'

    -4/-6                           force IPv4/IPv6 resolving

    --mcast-if <iface>              bind to specified interface for multicast

    -M <video_mode>                 received video mode (eg tiled-4K, 3D,
                                    dual-link)

    -p <postprocess> | help         postprocess module

    -f [A:|V:]<settings>            FEC settings (audio or video) - use
                                    "none", "mult:<nr>",
                                    "ldgm:<max_expected_loss>%%" or
                                    "ldgm:<k>:<m>:<c>"
                                    "rs:<k>:<n>"

    -P <port> | <video_rx>:<video_tx>[:<audio_rx>:<audio_tx>]
                                    <port> is base port number, also 3
                                    subsequent ports can be used for RTCP
                                    and audio streams. Default: 5004.
                                    You can also specify all two or four
                                    ports directly.

    -l <limit_bitrate> | unlimited | auto limit sending bitrate
                                    to <limit_bitrate> (with optional k/M/G suffix)

    -A <address>                    audio destination address
                                    If not specified, will use same as for video

    --audio-capture-format <fmt> | help format of captured audio

    --audio-channel-map <mapping> | help

    --audio-codec <codec>[:sample_rate=<sr>][:bitrate=<br>] | help audio codec

    --audio-delay <delay_ms>        amount of time audio should be delayed to video
                                    (may be also negative to delay video)

    --audio-scale <factor> | <method> | help scales received audio

    --cuda-device <index> | help    use specified CUDA device

    --encryption <passphrase>       key material for encryption

    --playback <directory> | help   replays recorded audio and video

    --record[=<directory>]          record captured audio and video

    --capture-filter <filter> | help capture filter(s), must be given before capture device

    --param <params> | help         additional advanced parameters, use help for list

    --pix-fmts                      list of pixel formats

    --video-codecs                  list of video codecs

    address                         destination address

REPORTING BUGS

Report bugs to ultragrid-dev@cesnet.cz or use project GitHub to describe issues.

RESOURCES

    • GitHub: https://github.com/CESNET/UltraGrid

    • Wiki (on-line documentation): https://github.com/CESNET/UltraGrid/wiki

    • Main web site: http://www.ultragrid.cz

SEE ALSO

hd-rum-transcode(1)